Page MenuHomePhabricator

Surface slow filters and total condition count directly on Special:AbuseFilter
Closed, DeclinedPublic

Description

Once the tickets listed below are complete (or rejected) we should decide how to indicate slow filters and the total condition count directly on Special:AbuseFilter. We'll want to talk with edit filter managers before we make any decisions.

The Current ideas

  • Update the count at the top of Sp:AbuseFilter to include an average count of how many conditions were used over the past N hours.
  • Add the per-filter profiling back (which is viewable on the individual filter pages) and add data from Logstash if the filter takes over 800MS
  • TBD: Indicate the filters that take over 800MS directly on the main Sp:AbuseFilter page

Blocking tickets

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 27 2017, 5:59 PM

@MusikAnimal @dmaza — When T174205: Log cases where abusefilter filters take over a certain amount of time to run is complete, what would be a helpful way to surface this information to Edit filter managers? A separate tool? Email notifications? Something on Special:AbuseFilter?

When T174205: Log cases where abusefilter filters take over a certain amount of time to run is complete, what would be a helpful way to surface this information to Edit filter managers? A separate tool? Email notifications? Something on Special:AbuseFilter?

Having this information anywhere is a huge step forward, but I think putting it in Special:AbuseFilter would be best. Maybe Special:AbuseFilter/SlowFilters (probably can come up with a better name)? There it'd have a table of the slow filters with the average run time and condition count (assuming you're keeping track of that). You could also highlight the expensive ones at Special:AbuseFilter in yellow or something. My thoughts are that if it's on a separate page or tool, it might go unnoticed, when ideally we'd want them to be abundantly aware there is something wrong with a particular filter. The folks at https://en.wikipedia.org/wiki/Wikipedia:Edit_filter_noticeboard might have some good ideas too.

Let's get the monitoring in place for the filters first, then show it to the folks on the Edit filter noticeboard. I agree that out of sight = out of mind. Maybe even a new column on Special:AbuseFilter?

This comment was removed by TBolliger.
TBolliger renamed this task from Surface slow AbuseFilter filters to Edit filter managers to Surface slow filters and total condition count directly on Special:AbuseFilter.Nov 2 2017, 11:11 PM
TBolliger updated the task description. (Show Details)
He7d3r added a subscriber: He7d3r.Nov 22 2017, 1:28 AM
Daimona closed this task as Declined.Apr 30 2018, 6:18 AM
Daimona added a subscriber: Daimona.

Superseded by T193064, where we'll also store this info